com.salesforce.datacloud.jdbc.core.accessor.impl

## Class BooleanVectorAccessor

- java.lang.Object
- - com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessor
  - - com.salesforce.datacloud.jdbc.core.accessor.impl.BooleanVectorAccessor

All Implemented Interfaces:
  org.apache.calcite.avatica.util.Cursor.Accessor

    public class BooleanVectorAccessor
    extends QueryJDBCAccessor

### Field Summary

### Fields inherited from class com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessor

`wasNull, wasNullConsumer`

### Constructor Summary

Constructors
Constructor and Description
`BooleanVectorAccessor(org.apache.arrow.vector.BitVector vector, IntSupplier getCurrentRow, QueryJDBCAccessorFactory.WasNullConsumer wasNullConsumer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BigDecimal` `getBigDecimal()`
`boolean` `getBoolean()`
`byte` `getByte()`
`double` `getDouble()`
`float` `getFloat()`
`int` `getInt()`
`long` `getLong()`
`Object` `getObject()`
`Class<?>` `getObjectClass()`
`short` `getShort()`
`String` `getString()`

### Methods inherited from class com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessor

`getArray, getAsciiStream, getBigDecimal, getBinaryStream, getBlob, getBytes, getCharacterStream, getClob, getCurrentRow, getDate, getNCharacterStream, getNClob, getNString, getObject, getObject, getRef, getSQLXML, getStruct, getTime, getTimestamp, getUnicodeStream, getURL, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BooleanVectorAccessor

    public BooleanVectorAccessor(org.apache.arrow.vector.BitVector vector,
                                 IntSupplier getCurrentRow,
                                 QueryJDBCAccessorFactory.WasNullConsumer wasNullConsumer)

### Method Detail

#### getObjectClass

    public Class<?> getObjectClass()

Specified by:
  `getObjectClass` in class `QueryJDBCAccessor`

#### getObject

    public Object getObject()

Specified by:
  `getObject` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getObject` in class `QueryJDBCAccessor`

#### getByte

    public byte getByte()

Specified by:
  `getByte` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getByte` in class `QueryJDBCAccessor`

#### getShort

    public short getShort()

Specified by:
  `getShort` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getShort` in class `QueryJDBCAccessor`

#### getInt

    public int getInt()

Specified by:
  `getInt` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getInt` in class `QueryJDBCAccessor`

#### getFloat

    public float getFloat()

Specified by:
  `getFloat` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getFloat` in class `QueryJDBCAccessor`

#### getDouble

    public double getDouble()

Specified by:
  `getDouble` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getDouble` in class `QueryJDBCAccessor`

#### getBigDecimal

    public BigDecimal getBigDecimal()

Specified by:
  `getBigDecimal` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getBigDecimal` in class `QueryJDBCAccessor`

#### getString

    public String getString()

Specified by:
  `getString` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getString` in class `QueryJDBCAccessor`

#### getLong

    public long getLong()

Specified by:
  `getLong` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getLong` in class `QueryJDBCAccessor`

#### getBoolean

    public boolean getBoolean()

Specified by:
  `getBoolean` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getBoolean` in class `QueryJDBCAccessor`